Subject: Menorah plant

From: [email-masked] (SolF)
Date: 13 May 1995 17:59:45 -0400

Does anyone have any information on what I think is called a MENORAH
PLANT. It supposedly is the origin of the model for the jewish candelabra
known as a menorah. ANy information would be greatly appreciated.

Sincerely,

S. Finkelstein
[email-masked]